# 37. Zapytanie: pobierz "SatelliteImages" w określonym przedziale

Pobierz "SatelliteImages" w zdefiniowanym przedziale czasowym (`przed` i `po` datach).

Filtry `przed` i `po` należą do [AWSDate](https://docs.aws.amazon.com/appsync/latest/devguide/scalars.html).&#x20;

Możliwe jest użycie tylko jednego z filtrów.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetFieldSatelliteImagesWithDateFilter {
  getFarms(farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    userUuid
    nazwa
    fields(fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      nazwa
      dataUtworzenia
      powierzchnia(jedn: HEKTARY)
      satelliteImages(after: "2019-06-10" before:  "2019-07-10"){
         satelliteImage{
          dataPozyskania
          dostawca
         }
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/pl/dokumentacja-api/przeglad-zapytan-api-geopard/37.-zapytanie-pobierz-satelliteimages-w-okreslonym-przedziale.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
